@import '../../../assets/variable/variable.scss';

.home {
    width: 100%;

    .max-width {
        width: 100%;
        max-width: $max_width;
        margin-left: auto;
        margin-right: auto;
    }

    &__top {
        background: url(../../../assets/images/background/bg_top.jpg);
        background-repeat: no-repeat;
        background-size: cover;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        padding-bottom: 50px;


        &-title {
            text-align: center;
            color: #fff;
            padding-top: 200px;
            padding-bottom: 200px;
            max-width: 500px;
        }

        &-info {
            display: flex;
            justify-content: space-between;
            padding: 12px 24px;
            background: $color_purple;
            border-radius: 100px;

            .item {
                display: flex;
                align-items: center;
                gap: 24px;

                p {
                    color: $color_orange;
                    font-size: 14px;
                }

                h1 {
                    color: $color_orange;
                    font-size: 30px;
                }

                span {
                    color: #fff;
                    font-size: 12px;
                }
            }
        }
    }

    &__bet {
        position: relative;
        z-index: 9;
        color: #fff;
        padding-top: 50px;
        padding-bottom: 50px;

        &-prev-round {
            display: flex;
            align-items: center;
            justify-content: space-between;
            margin-bottom: 24px;
            width: 100%;
            border: 1px solid #fff;
            border-radius: 10px;
            padding: 24px 36px;

            ul {
                display: flex;
                align-items: center;
                gap: 24px;

                li {
                    @include gradient-box;

                    &.active {
                        @include gradient-bgr;
                    }

                    a{
                        text-decoration: none;
                        color: $primary_color;
                    }
                }
            }
        }

        &-choose {
            display: flex;
            justify-content: space-between;
            flex-wrap: wrap;
            gap: 24px;
            justify-content: center;

            .choose-number {
                flex: 1;
                border: 1px solid #fff;
                padding: 36px;
                border-radius: 8px;

                ul {
                    display: flex;
                    flex-wrap: wrap;
                    gap: 24px;

                    .item-number {
                        cursor: pointer;
                        border-radius: 50%;
                        border: 1px solid #fff;
                        padding: 8px;

                        &:hover,
                        &.active-number {
                            background: $btn_linear;
                        }
                    }
                }
            }

            .my-line {
                display: flex;
                flex: 1;
                flex-direction: column;

                .listTicket {
                    display: flex;
                    align-items: center;
                    // justify-content: space-between;
                    gap: 0px 24px;
                    margin-bottom: 12px;

                    .show-ticketed {
                        display: flex;
                        gap: 24px;

                        .number-choosed {
                            background: $btn_linear;
                            border-radius: 100px;
                            padding: 8px;
                        }
                    }

                    .btn-delete {
                        cursor: pointer;
                        @include gradient-red;
                    }
                }

                .btn {
                    display: inline-flex;
                    gap: 24px;
                    margin-top: 24px;
                    margin-left: auto;
                    margin-right: auto;

                    p:hover{
                        @include gradient-bgr
                    }

                    .btn-buy {
                        cursor: pointer;
                        @include gradient-bgr
                    }

                    .btn-add {
                        cursor: pointer;
                        @include gradient-box
                    }
                }


            }
        }
    }
}

@media screen and (max-width: 1299px) {
    .home {

        &__top,
        &__history,
        &__bet {
            padding-left: 24px;
            padding-right: 24px;
        }
    }
}


@media screen and (max-width: 992px) {
    .home {
        &__top {
            &-info {
                display: inline-flex;
                flex-direction: column;
                gap: 24px;
                border-radius: 8px;

                .item {
                    div {
                        width: 100%;
                        display: flex;
                        align-items: center;
                        justify-content: space-between;
                    }
                }
            }
        }

        &__bet {
            &-choose {

                .choose-number,
                .bet {
                    width: 100%;
                    max-width: 100%;
                }
            }
        }
    }
}